Bug 512605 - selinux policy allows addr 0 mappings by default
selinux policy allows addr 0 mappings by default
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: Security
Depends On: 511143
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-19 15:18 EDT by Rahul Sundaram
Modified: 2013-03-13 01:45 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 511143
Environment:
Last Closed: 2009-07-20 16:38:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-07-19 15:18:08 EDT
+++ This bug was initially created as a clone of Bug #511143 +++

I have a fix for this in selinux-policy-2.4.6-252.el5

--- Additional comment from eteo@redhat.com on 2009-07-17 06:53:30 EDT ---

The default SELinux policy allows processes in the unconfined domains to map low memory in the kernel. We are updating the selinux-policy package to allow the user to set the allow_unconfined_mmap_low boolean, and to prevent unconfined_t from being able to map low memory in the kernel. No Relabel or Reboot required.
Comment 1 Daniel Walsh 2009-07-20 16:38:43 EDT
Fixed in selinux-policy-3.6.22-2.fc12
Comment 2 Rahul Sundaram 2009-07-20 16:50:18 EDT
Dan,

I think you should push the policy update to Fedora 11 and Fedora 10 as well.
Comment 3 Daniel Walsh 2009-07-20 21:22:49 EDT
Miroslav is preparing updates for F10 and F11.

Note You need to log in before you can comment on or make changes to this bug.